Index: sources/app/src/main/java/parkup/controllers/VrabotenController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -3,34 +3,32 @@
 import java.util.List;
 import java.util.Optional;
-import java.util.stream.Collectors;
 
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
-import parkup.configs.RegistrationRequest;
 //import parkup.configs.RegistrationServiceW;
-import parkup.data.AddUpdateVraboten;
-import parkup.data.enumarations.EmployeeStatus;
-import parkup.entities.Vraboten;
-import parkup.services.VrabotenService;
-import parkup.data.VrabotenDemo;
+import parkup.data.AddUpdateWorker;
+import parkup.data.WorkerDemoParkingZones;
+import parkup.entities.Worker;
+import parkup.services.WorkerService;
+import parkup.data.WorkerDemo;
 
 @RestController
 public class VrabotenController {
-    private final VrabotenService vrabotenService;
+    private final WorkerService workerService;
 //    private final RegistrationServiceW registrationServiceW;
 
     @Autowired
-    public VrabotenController(VrabotenService vrabotenService) {
-        this.vrabotenService = vrabotenService;
+    public VrabotenController(WorkerService workerService) {
+        this.workerService = workerService;
     }
 
     @GetMapping({"/vraboten"})
-    public List<Vraboten> getAllVraboten() {
-        return this.vrabotenService.getVraboteni();
+    public List<Worker> getAllVraboten() {
+        return this.workerService.getWorkers();
     }
 
     @GetMapping({"/vraboten/{vrabotenId}"})
-    public Vraboten getVraboten(@PathVariable int vrabotenId) {
-        Vraboten vraboten = this.vrabotenService.findById(vrabotenId);
+    public WorkerDemoParkingZones getVraboten(@PathVariable int vrabotenId) {
+        WorkerDemoParkingZones vraboten = this.workerService.findById(vrabotenId);
         if (vraboten != null) {
             return vraboten;
@@ -41,11 +39,11 @@
 
     @GetMapping({"/vraboten/vrabotenDemo"})
-    public List<VrabotenDemo> getVraboteniDemos(){
-        return this.vrabotenService.getAllVraboteniDemos();
+    public List<WorkerDemo> getVraboteniDemos(){
+        return this.workerService.getAllVraboteniDemos();
     }
 
     @PostMapping({"/vraboten"})
-    public Optional<Vraboten> addVraboten(@RequestBody AddUpdateVraboten vraboten) {
-        return this.vrabotenService.addVraboten(vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
+    public Optional<Worker> addVraboten(@RequestBody AddUpdateWorker vraboten) {
+        return this.workerService.addWorker(vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
                 vraboten.getMobileNumber(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
     }
@@ -53,5 +51,5 @@
     @PutMapping({"/vraboten/lock/{vrabotenId}"})
     public void lockVraboten(@PathVariable int vrabotenId) {
-        this.vrabotenService.lockVrabotenAcc(vrabotenId);
+        this.workerService.lockWorkerAcc(vrabotenId);
     }
 
@@ -62,12 +60,12 @@
 
     @PutMapping({"/vraboten/{vrabotenId}"})
-    public Vraboten updateVraboten(@PathVariable int vrabotenId, @RequestBody AddUpdateVraboten vraboten) {
-        return this.vrabotenService.updateVraboten(vrabotenId,vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
+    public WorkerDemoParkingZones updateVraboten(@PathVariable int vrabotenId, @RequestBody AddUpdateWorker vraboten) {
+        return this.workerService.updateWorker(vrabotenId,vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
                 vraboten.getMobileNumber(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
     }
 
     @DeleteMapping({"/vraboten/{vrabotenId}"})
-    public Optional<Vraboten> deleteVraboten(@PathVariable int vrabotenId) {
-        return this.vrabotenService.deleteVraboten(vrabotenId);
+    public Optional<Worker> deleteVraboten(@PathVariable int vrabotenId) {
+        return this.workerService.deleteWorker(vrabotenId);
     }
 
